<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
    <ignored path="javascript-obfuscator.iws" />
    <ignored path=".idea/workspace.xml" />
    <ignored path=".idea/dataSources.local.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FavoritesManager">
    <favorites_list name="javascript-obfuscator" />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="package.json" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/package.json">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-323">
              <caret line="2" column="19" selection-start-line="2" selection-start-column="19" selection-end-line="2" selection-end-column="19" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="CHANGELOG.md" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/CHANGELOG.md">
          <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
            <state split_layout="SPLIT">
              <first_editor relative-caret-position="68">
                <caret line="4" column="49" selection-start-line="4" selection-start-column="49" selection-end-line="4" selection-end-column="49" />
                <folding />
              </first_editor>
              <second_editor />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="OptionsNormalizer.spec.ts" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/test/unit-tests/OptionsNormalizer.spec.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="504">
              <caret line="45" column="35" selection-start-line="45" selection-start-column="35" selection-end-line="45" selection-end-column="35" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="JavaScript File" />
        <option value="TypeScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="dev" />
      </map>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/test/unit-tests/SourceMapCorrector.spec.ts" />
        <option value="$PROJECT_DIR$/src/JavaScriptObfuscatorInternal.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/node-obfuscators/replacers/StringLiteralReplacer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/node-obfuscators/replacers/NumberLiteralReplacer.ts" />
        <option value="$PROJECT_DIR$/src/stack-trace-analyzer/callee-data-extractors/FunctionExpressionCalleeDataExtractor.ts" />
        <option value="$PROJECT_DIR$/src/stack-trace-analyzer/StackTraceAnalyzer.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/AbstractCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/custom-nodes/ICustomNodeWithIdentifier.d.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/custom-nodes/ICustomNodeWithRandomData.d.ts" />
        <option value="$PROJECT_DIR$/src/AbstractCustomNodeWithRandomGenerator.ts" />
        <option value="$PROJECT_DIR$/src/Utils.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/custom-nodes/ICustomNodeWithRandomGenerator.d.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/AbstractCustomNodeWithRandomGenerator.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/custom-nodes/ICustomNode.d.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionCallNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionIntervalNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/DomainLockNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/SelfDefendingUnicodeNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayCallsWrapper.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayRotateFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/console-output-nodes/factory/ConsoleOutputCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/factory/DebugProtectionCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/factory/DomainLockCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/factory/SelfDefendingCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/string-array-nodes/factory/StringArrayCustomNodesFactory.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes/ControlFlowStorageNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/node-calls-controller-nodes/NodeCallsControllerFunctionNode.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/node-control-flow-transformers/control-flow-replacers/BinaryExpressionControlFlowReplacer.ts" />
        <option value="$PROJECT_DIR$/src/node-transformers/node-control-flow-transformers/FunctionControlFlowTransformer.ts" />
        <option value="$PROJECT_DIR$/src/container/ServiceIdentifiers.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/container/IContainerServiceIdentifiers.d.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IObfuscationResult.d.ts" />
        <option value="$PROJECT_DIR$/test/unit-tests/ObfuscationResult.spec.ts" />
        <option value="$PROJECT_DIR$/src/container/InversifyContainerFacade.ts" />
        <option value="$PROJECT_DIR$/src/interfaces/IInitializable.d.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/console-output-nodes/ConsoleOutputDisableExpressionNode.ts" />
        <option value="$PROJECT_DIR$/src/custom-nodes/AbstractCustomNode.ts" />
        <option value="$PROJECT_DIR$/src/storages/custom-nodes/CustomNodesStorage.ts" />
        <option value="$PROJECT_DIR$/src/ObfuscationResult.ts" />
        <option value="$PROJECT_DIR$/src/Obfuscator.ts" />
        <option value="$PROJECT_DIR$/src/container/modules/stack-trace-analyzer/StackTraceAnalyzerModule.ts" />
        <option value="$PROJECT_DIR$/test/dev/dev.ts" />
        <option value="$PROJECT_DIR$/src/preset-options/DefaultPreset.ts" />
        <option value="$PROJECT_DIR$/package.json" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/CHANGELOG.md" />
        <option value="$PROJECT_DIR$/test/unit-tests/OptionsNormalizer.spec.ts" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER">
    <package-json value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="x" value="117" />
    <option name="y" value="23" />
    <option name="width" value="1742" />
    <option name="height" value="928" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
          <State>
            <id>TypeScript</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>TypeScriptUnresolvedVariable</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="false">
    <OptionsSetting value="true" id="Add" />
    <OptionsSetting value="true" id="Remove" />
    <OptionsSetting value="true" id="Checkout" />
    <OptionsSetting value="true" id="Update" />
    <OptionsSetting value="true" id="Status" />
    <OptionsSetting value="true" id="Edit" />
    <ConfirmationsSetting value="0" id="Add" />
    <ConfirmationsSetting value="0" id="Remove" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="test" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="javascript-obfuscator" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="test" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="unit-tests" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="web-ide.project.structure" />
    <property name="settings.editor.splitter.proportion" value="0.2" />
    <property name="JavaScriptPreferStrict" value="false" />
    <property name="JavaScriptWeakerCompletionTypeGuess" value="true" />
    <property name="js-jscs-nodeInterpreter" value="/usr/local/bin/node" />
    <property name="nodejs_interpreter_path" value="$USER_HOME$/.nvm/versions/node/v6.3.1/bin/node" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/node_modules/typescript/lib" />
    <property name="typescript-compiler-editor-notification" value="false" />
    <property name="nodejs.mocha.mocha_node_package_dir" value="$PROJECT_DIR$/node_modules/mocha" />
    <property name="SearchEverywhereHistoryKey" value="&#9;FILE&#9;file:///Users/sanex/PhpstormProjects/javascript-obfuscator/src/cli/JavaScriptObfuscatorCLI.ts" />
    <property name="javascript.nodejs.core.library.configured.version" value="6.3.1" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src" />
      <recent name="$PROJECT_DIR$/src/interfaces/custom-nodes" />
      <recent name="$PROJECT_DIR$/src/custom-nodes" />
      <recent name="$PROJECT_DIR$/src/storages" />
      <recent name="$PROJECT_DIR$/test/unit-tests/storages" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/custom-nodes" />
      <recent name="$PROJECT_DIR$/src/types/stack-trace-analyzer" />
      <recent name="$PROJECT_DIR$/src/types/options" />
      <recent name="$PROJECT_DIR$/src/types/node-transformers" />
      <recent name="$PROJECT_DIR$/src/types/container" />
    </key>
  </component>
  <component name="RestoreUpdateTree" date="Moments ago" ActionInfo="_Update">
    <UpdatedFiles>
      <FILE-GROUP>
        <option name="myUpdateName" value="Updated from server" />
        <option name="myStatusName" value="Changed on server" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="CHANGED_ON_SERVER" />
        <FILE-GROUP>
          <option name="myUpdateName" value="Updated" />
          <option name="myStatusName" value="Changed" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="UPDATED" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/dist/index.js</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/ObfuscationResult.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/container/InversifyContainerFacade.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/container/ServiceIdentifiers.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/container/modules/stack-trace-analyzer/StackTraceAnalyzerModule.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/AbstractCustomNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/console-output-nodes/ConsoleOutputDisableExpressionNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/console-output-nodes/factory/ConsoleOutputCustomNodesFactory.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/BinaryExpressionFunctionNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes/ControlFlowStorageNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionCallNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionIntervalNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/DebugProtectionFunctionNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/factory/DebugProtectionCustomNodesFactory.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/DomainLockNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/factory/DomainLockCustomNodesFactory.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/node-calls-controller-nodes/NodeCallsControllerFunctionNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/SelfDefendingUnicodeNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/factory/SelfDefendingCustomNodesFactory.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayCallsWrapper.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayRotateFunctionNode.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/custom-nodes/string-array-nodes/factory/StringArrayCustomNodesFactory.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/interfaces/IInitializable.d.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/interfaces/container/IContainerServiceIdentifiers.d.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/interfaces/storages/IStorage.d.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/storages/ArrayStorage.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/storages/MapStorage.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/storages/control-flow/ControlFlowStorage.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/storages/custom-nodes/CustomNodesStorage.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/storages/string-array/StringArrayStorage.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/test/index.spec.ts</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Created" />
          <option name="myStatusName" value="Created" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="CREATED" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/container/modules/custom-nodes/CustomNodesModule.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/decorators/Initializable.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/enums/container/CustomNodes.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/enums/container/CustomNodesFactories.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/types/container/TCustomNodeFactory.d.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/types/container/TCustomNodesFactoriesFactory.d.ts</PATH>
          <PATH vcs="Git" revision="">$PROJECT_DIR$/test/unit-tests/decorators/Initializable.spec.ts</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Deleted" />
          <option name="myStatusName" value="Deleted" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="true" />
          <option name="myId" value="REMOVED_FROM_REPOSITORY" />
          <PATH vcs="Git" revision="">$PROJECT_DIR$/src/types/container/TCustomNodesFactory.d.ts</PATH>
        </FILE-GROUP>
        <FILE-GROUP>
          <option name="myUpdateName" value="Restored" />
          <option name="myStatusName" value="Will be restored" />
          <option name="mySupportsDeletion" value="false" />
          <option name="myCanBeAbsent" value="false" />
          <option name="myId" value="RESTORED" />
        </FILE-GROUP>
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Modified" />
        <option name="myStatusName" value="Modified" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MODIFIED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Skipped" />
        <option name="myStatusName" value="Skipped" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SKIPPED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with conflicts" />
        <option name="myStatusName" value="Will be merged with conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_CONFLICTS" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with tree conflicts" />
        <option name="myStatusName" value="Merged with tree conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_TREE_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged with property conflicts" />
        <option name="myStatusName" value="Will be merged with property conflicts" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED_WITH_PROPERTY_CONFLICT" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Merged" />
        <option name="myStatusName" value="Will be merged" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="MERGED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Not in repository" />
        <option name="myStatusName" value="Not in repository" />
        <option name="mySupportsDeletion" value="true" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="UNKNOWN" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally added" />
        <option name="myStatusName" value="Locally added" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_ADDED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Locally removed" />
        <option name="myStatusName" value="Locally removed" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="LOCALLY_REMOVED" />
      </FILE-GROUP>
      <FILE-GROUP>
        <option name="myUpdateName" value="Switched" />
        <option name="myStatusName" value="Switched" />
        <option name="mySupportsDeletion" value="false" />
        <option name="myCanBeAbsent" value="false" />
        <option name="myId" value="SWITCHED" />
      </FILE-GROUP>
    </UpdatedFiles>
  </component>
  <component name="RunManager" selected="Mocha.Mocha">
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run-script" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
    <configuration default="false" name="Mocha" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>$USER_HOME$/.nvm/versions/node/v7.0.0/bin/node</node-interpreter>
      <node-options />
      <working-directory>$PROJECT_DIR$</working-directory>
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui>bdd</ui>
      <extra-mocha-options>--require ts-node/register</extra-mocha-options>
      <test-kind>PATTERN</test-kind>
      <test-pattern>test/**/*.spec.ts</test-pattern>
      <method />
    </configuration>
    <list size="1">
      <item index="0" class="java.lang.String" itemvalue="Mocha.Mocha" />
    </list>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="StructureViewFactory">
    <option name="AUTOSCROLL_MODE" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b64842d9-4e5b-4db0-85d5-12415e1f5a44" name="Default" comment="" />
      <created>1465313655437</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1465313655437</updated>
      <workItem from="1469646526384" duration="175000" />
      <workItem from="1469646716454" duration="478000" />
      <workItem from="1469647364034" duration="473000" />
      <workItem from="1469648094142" duration="5839000" />
      <workItem from="1469737781573" duration="15802000" />
      <workItem from="1469892717432" duration="3787000" />
      <workItem from="1470159562149" duration="6256000" />
      <workItem from="1470337469022" duration="16000" />
      <workItem from="1470473424710" duration="1680000" />
      <workItem from="1470563365899" duration="3929000" />
      <workItem from="1470692187708" duration="1680000" />
      <workItem from="1470766600457" duration="21000" />
      <workItem from="1471853954494" duration="4960000" />
      <workItem from="1472042066966" duration="3681000" />
      <workItem from="1472493842828" duration="4394000" />
      <workItem from="1472556351510" duration="424000" />
      <workItem from="1472557148899" duration="5127000" />
      <workItem from="1472562425256" duration="47856000" />
      <workItem from="1473708631416" duration="3964000" />
      <workItem from="1474186884838" duration="31595000" />
      <workItem from="1474523315482" duration="609000" />
      <workItem from="1474834070926" duration="3903000" />
      <workItem from="1475361912105" duration="588000" />
      <workItem from="1475401230173" duration="12962000" />
      <workItem from="1475415101134" duration="80000" />
      <workItem from="1475415208562" duration="196000" />
      <workItem from="1475415428488" duration="34256000" />
      <workItem from="1475525745031" duration="12205000" />
      <workItem from="1475829485499" duration="411000" />
      <workItem from="1475830471633" duration="79000" />
      <workItem from="1476216530356" duration="1591000" />
      <workItem from="1476532295244" duration="1010000" />
      <workItem from="1476534907986" duration="69000" />
      <workItem from="1476535119305" duration="2199000" />
      <workItem from="1476543071363" duration="331000" />
      <workItem from="1476543443936" duration="14550000" />
      <workItem from="1477424669611" duration="9763000" />
      <workItem from="1477763909702" duration="56418000" />
      <workItem from="1477856457596" duration="66787000" />
      <workItem from="1478032879999" duration="43713000" />
      <workItem from="1478458050164" duration="12202000" />
      <workItem from="1478672594046" duration="13914000" />
      <workItem from="1478691486702" duration="20596000" />
      <workItem from="1479323881179" duration="6685000" />
      <workItem from="1479643129083" duration="90757000" />
      <workItem from="1480368813143" duration="8191000" />
      <workItem from="1480527548264" duration="50791000" />
    </task>
    <task id="LOCAL-00142" summary="readme update">
      <created>1478700582880</created>
      <option name="number" value="00142" />
      <option name="presentableId" value="LOCAL-00142" />
      <option name="project" value="LOCAL" />
      <updated>1478700582880</updated>
    </task>
    <task id="LOCAL-00143" summary="readme update">
      <created>1478700653977</created>
      <option name="number" value="00143" />
      <option name="presentableId" value="LOCAL-00143" />
      <option name="project" value="LOCAL" />
      <updated>1478700653977</updated>
    </task>
    <task id="LOCAL-00144" summary="0.8.0-beta.1">
      <created>1478710388630</created>
      <option name="number" value="00144" />
      <option name="presentableId" value="LOCAL-00144" />
      <option name="project" value="LOCAL" />
      <updated>1478710388630</updated>
    </task>
    <task id="LOCAL-00145" summary="0.8.0-beta.2: fixed wrong obfuscation of labels">
      <created>1479075486526</created>
      <option name="number" value="00145" />
      <option name="presentableId" value="LOCAL-00145" />
      <option name="project" value="LOCAL" />
      <updated>1479075486526</updated>
    </task>
    <task id="LOCAL-00146" summary="LabeledStatementObfuscator: changed description block">
      <created>1479100784881</created>
      <option name="number" value="00146" />
      <option name="presentableId" value="LOCAL-00146" />
      <option name="project" value="LOCAL" />
      <updated>1479100784881</updated>
    </task>
    <task id="LOCAL-00147" summary="dist update">
      <created>1479146898203</created>
      <option name="number" value="00147" />
      <option name="presentableId" value="LOCAL-00147" />
      <option name="project" value="LOCAL" />
      <updated>1479146898203</updated>
    </task>
    <task id="LOCAL-00148" summary="0.8.0 release">
      <created>1479323068814</created>
      <option name="number" value="00148" />
      <option name="presentableId" value="LOCAL-00148" />
      <option name="project" value="LOCAL" />
      <updated>1479323068814</updated>
    </task>
    <task id="LOCAL-00149" summary="0.8.1">
      <created>1479573459826</created>
      <option name="number" value="00149" />
      <option name="presentableId" value="LOCAL-00149" />
      <option name="project" value="LOCAL" />
      <updated>1479573459827</updated>
    </task>
    <task id="LOCAL-00150" summary="0.8.1">
      <created>1479574405811</created>
      <option name="number" value="00150" />
      <option name="presentableId" value="LOCAL-00150" />
      <option name="project" value="LOCAL" />
      <updated>1479574405811</updated>
    </task>
    <task id="LOCAL-00151" summary="First draw of control flow change. Right now for binary expressions.">
      <created>1479669726949</created>
      <option name="number" value="00151" />
      <option name="presentableId" value="LOCAL-00151" />
      <option name="project" value="LOCAL" />
      <updated>1479669726950</updated>
    </task>
    <task id="LOCAL-00152" summary="update code for dev test">
      <created>1479670538405</created>
      <option name="number" value="00152" />
      <option name="presentableId" value="LOCAL-00152" />
      <option name="project" value="LOCAL" />
      <updated>1479670538405</updated>
    </task>
    <task id="LOCAL-00153" summary="moving from `format-unicorn` on `string-template` package">
      <created>1479675304554</created>
      <option name="number" value="00153" />
      <option name="presentableId" value="LOCAL-00153" />
      <option name="project" value="LOCAL" />
      <updated>1479675304555</updated>
    </task>
    <task id="LOCAL-00154" summary="First draw of control flow change. Right now for binary expressions.">
      <created>1479682107787</created>
      <option name="number" value="00154" />
      <option name="presentableId" value="LOCAL-00154" />
      <option name="project" value="LOCAL" />
      <updated>1479682107787</updated>
    </task>
    <task id="LOCAL-00155" summary="`seed` option and `IE8` fix">
      <created>1479755149913</created>
      <option name="number" value="00155" />
      <option name="presentableId" value="LOCAL-00155" />
      <option name="project" value="LOCAL" />
      <updated>1479755149913</updated>
    </task>
    <task id="LOCAL-00156" summary="0.8.2 release">
      <created>1479756331440</created>
      <option name="number" value="00156" />
      <option name="presentableId" value="LOCAL-00156" />
      <option name="project" value="LOCAL" />
      <updated>1479756331440</updated>
    </task>
    <task id="LOCAL-00157" summary="readme update">
      <created>1479756721766</created>
      <option name="number" value="00157" />
      <option name="presentableId" value="LOCAL-00157" />
      <option name="project" value="LOCAL" />
      <updated>1479756721766</updated>
    </task>
    <task id="LOCAL-00158" summary="changelog update">
      <created>1479756790491</created>
      <option name="number" value="00158" />
      <option name="presentableId" value="LOCAL-00158" />
      <option name="project" value="LOCAL" />
      <updated>1479756790491</updated>
    </task>
    <task id="LOCAL-00159" summary="control flow flattening: update to master">
      <created>1479765570760</created>
      <option name="number" value="00159" />
      <option name="presentableId" value="LOCAL-00159" />
      <option name="project" value="LOCAL" />
      <updated>1479765570760</updated>
    </task>
    <task id="LOCAL-00160" summary="structure change: control-flow transformers and node obfuscators now are under `node-transformers` folder">
      <created>1479807608383</created>
      <option name="number" value="00160" />
      <option name="presentableId" value="LOCAL-00160" />
      <option name="project" value="LOCAL" />
      <updated>1479807608383</updated>
    </task>
    <task id="LOCAL-00161" summary="Moved storages to `storage folder`">
      <created>1479817817615</created>
      <option name="number" value="00161" />
      <option name="presentableId" value="LOCAL-00161" />
      <option name="project" value="LOCAL" />
      <updated>1479817817616</updated>
    </task>
    <task id="LOCAL-00162" summary="Storages refactoring">
      <created>1479826333313</created>
      <option name="number" value="00162" />
      <option name="presentableId" value="LOCAL-00162" />
      <option name="project" value="LOCAL" />
      <updated>1479826333313</updated>
    </task>
    <task id="LOCAL-00163" summary="ts-lint fixees">
      <created>1479827137362</created>
      <option name="number" value="00163" />
      <option name="presentableId" value="LOCAL-00163" />
      <option name="project" value="LOCAL" />
      <updated>1479827137362</updated>
    </task>
    <task id="LOCAL-00164" summary="Storages refactoring">
      <created>1479830791383</created>
      <option name="number" value="00164" />
      <option name="presentableId" value="LOCAL-00164" />
      <option name="project" value="LOCAL" />
      <updated>1479830791383</updated>
    </task>
    <task id="LOCAL-00165" summary="Storages refactoring">
      <created>1479831200734</created>
      <option name="number" value="00165" />
      <option name="presentableId" value="LOCAL-00165" />
      <option name="project" value="LOCAL" />
      <updated>1479831200734</updated>
    </task>
    <task id="LOCAL-00166" summary="added Utils static property with pool for random generator">
      <created>1479835363406</created>
      <option name="number" value="00166" />
      <option name="presentableId" value="LOCAL-00166" />
      <option name="project" value="LOCAL" />
      <updated>1479835363406</updated>
    </task>
    <task id="LOCAL-00167" summary="nodeTransformers factory">
      <created>1479927565234</created>
      <option name="number" value="00167" />
      <option name="presentableId" value="LOCAL-00167" />
      <option name="project" value="LOCAL" />
      <updated>1479927565234</updated>
    </task>
    <task id="LOCAL-00168" summary="nodeTransformers factory">
      <created>1479927664269</created>
      <option name="number" value="00168" />
      <option name="presentableId" value="LOCAL-00168" />
      <option name="project" value="LOCAL" />
      <updated>1479927664269</updated>
    </task>
    <task id="LOCAL-00169" summary="nodeTransformers factory">
      <created>1479928094834</created>
      <option name="number" value="00169" />
      <option name="presentableId" value="LOCAL-00169" />
      <option name="project" value="LOCAL" />
      <updated>1479928094834</updated>
    </task>
    <task id="LOCAL-00170" summary="replaced `let` on `const`, added `readonly` keywords">
      <created>1479936874825</created>
      <option name="number" value="00170" />
      <option name="presentableId" value="LOCAL-00170" />
      <option name="project" value="LOCAL" />
      <updated>1479936874825</updated>
    </task>
    <task id="LOCAL-00171" summary="inversify test">
      <created>1480167349197</created>
      <option name="number" value="00171" />
      <option name="presentableId" value="LOCAL-00171" />
      <option name="project" value="LOCAL" />
      <updated>1480167349197</updated>
    </task>
    <task id="LOCAL-00172" summary="fixed interface">
      <created>1480167632453</created>
      <option name="number" value="00172" />
      <option name="presentableId" value="LOCAL-00172" />
      <option name="project" value="LOCAL" />
      <updated>1480167632453</updated>
    </task>
    <task id="LOCAL-00173" summary="inversify test">
      <created>1480188977693</created>
      <option name="number" value="00173" />
      <option name="presentableId" value="LOCAL-00173" />
      <option name="project" value="LOCAL" />
      <updated>1480188977693</updated>
    </task>
    <task id="LOCAL-00174" summary="inversify test">
      <created>1480193904013</created>
      <option name="number" value="00174" />
      <option name="presentableId" value="LOCAL-00174" />
      <option name="project" value="LOCAL" />
      <updated>1480193904013</updated>
    </task>
    <task id="LOCAL-00175" summary="inversify test">
      <created>1480194293755</created>
      <option name="number" value="00175" />
      <option name="presentableId" value="LOCAL-00175" />
      <option name="project" value="LOCAL" />
      <updated>1480194293756</updated>
    </task>
    <task id="LOCAL-00176" summary="inversify test">
      <created>1480194976106</created>
      <option name="number" value="00176" />
      <option name="presentableId" value="LOCAL-00176" />
      <option name="project" value="LOCAL" />
      <updated>1480194976106</updated>
    </task>
    <task id="LOCAL-00177" summary="move on awesome-typescript-loader@3.0.0-beta">
      <created>1480195169534</created>
      <option name="number" value="00177" />
      <option name="presentableId" value="LOCAL-00177" />
      <option name="project" value="LOCAL" />
      <updated>1480195169534</updated>
    </task>
    <task id="LOCAL-00178" summary="deps update">
      <created>1480202674222</created>
      <option name="number" value="00178" />
      <option name="presentableId" value="LOCAL-00178" />
      <option name="project" value="LOCAL" />
      <updated>1480202674222</updated>
    </task>
    <task id="LOCAL-00179" summary="fixed node transformers factory performance">
      <created>1480369245662</created>
      <option name="number" value="00179" />
      <option name="presentableId" value="LOCAL-00179" />
      <option name="project" value="LOCAL" />
      <updated>1480369245662</updated>
    </task>
    <task id="LOCAL-00180" summary="inversify refactoring">
      <created>1480371409869</created>
      <option name="number" value="00180" />
      <option name="presentableId" value="LOCAL-00180" />
      <option name="project" value="LOCAL" />
      <updated>1480371409869</updated>
    </task>
    <task id="LOCAL-00181" summary="inversify refactoring: added missing service identifier for INodeTransformer interface">
      <created>1480371648327</created>
      <option name="number" value="00181" />
      <option name="presentableId" value="LOCAL-00181" />
      <option name="project" value="LOCAL" />
      <updated>1480371648327</updated>
    </task>
    <task id="LOCAL-00182" summary="fixed empty controlFlowStorageCustomNode append">
      <created>1480445999687</created>
      <option name="number" value="00182" />
      <option name="presentableId" value="LOCAL-00182" />
      <option name="project" value="LOCAL" />
      <updated>1480445999687</updated>
    </task>
    <task id="LOCAL-00183" summary="fixed empty controlFlowStorageCustomNode append">
      <created>1480446954009</created>
      <option name="number" value="00183" />
      <option name="presentableId" value="LOCAL-00183" />
      <option name="project" value="LOCAL" />
      <updated>1480446954009</updated>
    </task>
    <task id="LOCAL-00184" summary="formatting">
      <created>1480448429997</created>
      <option name="number" value="00184" />
      <option name="presentableId" value="LOCAL-00184" />
      <option name="project" value="LOCAL" />
      <updated>1480448429997</updated>
    </task>
    <task id="LOCAL-00185" summary="refactoring">
      <created>1480615025960</created>
      <option name="number" value="00185" />
      <option name="presentableId" value="LOCAL-00185" />
      <option name="project" value="LOCAL" />
      <updated>1480615025962</updated>
    </task>
    <task id="LOCAL-00186" summary="refactoring">
      <created>1480631058268</created>
      <option name="number" value="00186" />
      <option name="presentableId" value="LOCAL-00186" />
      <option name="project" value="LOCAL" />
      <updated>1480631058269</updated>
    </task>
    <task id="LOCAL-00187" summary="Inversify base WIP integration">
      <created>1480701802620</created>
      <option name="number" value="00187" />
      <option name="presentableId" value="LOCAL-00187" />
      <option name="project" value="LOCAL" />
      <updated>1480701802620</updated>
    </task>
    <task id="LOCAL-00188" summary="removed interface `IInitializable` from concrete class">
      <created>1480757419831</created>
      <option name="number" value="00188" />
      <option name="presentableId" value="LOCAL-00188" />
      <option name="project" value="LOCAL" />
      <updated>1480757419832</updated>
    </task>
    <task id="LOCAL-00189" summary="`selfDefending` option now disabled by default. Readme update.">
      <created>1480865070885</created>
      <option name="number" value="00189" />
      <option name="presentableId" value="LOCAL-00189" />
      <option name="project" value="LOCAL" />
      <updated>1480865070885</updated>
    </task>
    <task id="LOCAL-00190" summary="test fix after `selfDefending` change">
      <created>1480865467708</created>
      <option name="number" value="00190" />
      <option name="presentableId" value="LOCAL-00190" />
      <option name="project" value="LOCAL" />
      <updated>1480865467708</updated>
    </task>
    <option name="localTasksCounter" value="191" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="Mocha - 2016.12.01 at 18h 24m 35s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 00h 11m 13s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 00h 37m 26s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 01h 08m 50s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 01h 14m 08s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 01h 15m 41s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 01h 22m 10s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.02 at 20h 59m 21s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.04 at 18h 29m 07s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
    <history-entry file="Mocha - 2016.12.04 at 18h 30m 48s.xml">
      <configuration name="Mocha" configurationId="mocha-javascript-test-runner" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="606993000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="117" y="23" width="1742" height="928" extended-state="0" />
    <editor active="false" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.23411764" sideWeight="0.5282686" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32296652" sideWeight="0.50235295" order="10" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.326555" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.23411764" sideWeight="0.47173145" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32535884" sideWeight="0.49235293" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32296652" sideWeight="0.49764705" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24882352" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.39114833" sideWeight="0.4917647" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.23411764" sideWeight="0.47173145" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32905984" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39114833" sideWeight="0.5082353" order="11" side_tool="true" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.2510024" sideWeight="0.46412557" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32535884" sideWeight="0.49235293" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32296652" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.39114833" sideWeight="0.4917647" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="TypeScript" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32905984" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.23411764" sideWeight="0.5358744" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.326555" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24882352" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39952153" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
    <option name="CHECK_NEW_TODO" value="false" />
    <MESSAGE value="0.8.2 release" />
    <MESSAGE value="readme update" />
    <MESSAGE value="changelog update" />
    <MESSAGE value="control flow flattening: update to master" />
    <MESSAGE value="structure change: control-flow transformers and node obfuscators now are under `node-transformers` folder" />
    <MESSAGE value="Moved storages to `storage folder`" />
    <MESSAGE value="ts-lint fixees" />
    <MESSAGE value="Storages refactoring" />
    <MESSAGE value="added Utils static property with pool for random generator" />
    <MESSAGE value="nodeTransformers factory" />
    <MESSAGE value="replaced `let` on `const`, added `readonly` keywords" />
    <MESSAGE value="fixed interface" />
    <MESSAGE value="inversify test" />
    <MESSAGE value="move on awesome-typescript-loader@3.0.0-beta" />
    <MESSAGE value="deps update" />
    <MESSAGE value="fixed node transformers factory performance" />
    <MESSAGE value="inversify refactoring" />
    <MESSAGE value="inversify refactoring: added missing service identifier for INodeTransformer interface" />
    <MESSAGE value="fixed empty controlFlowStorageCustomNode append" />
    <MESSAGE value="formatting" />
    <MESSAGE value="refactoring" />
    <MESSAGE value="Inversify base WIP integration" />
    <MESSAGE value="removed interface `IInitializable` from concrete class" />
    <MESSAGE value="`selfDefending` option now disabled by default. Readme update." />
    <MESSAGE value="test fix after `selfDefending` change" />
    <option name="LAST_COMMIT_MESSAGE" value="test fix after `selfDefending` change" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="24" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="79" column="97" selection-start-line="79" selection-start-column="97" selection-end-line="79" selection-end-column="97" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/StringArrayRotateFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="76" column="97" selection-start-line="76" selection-start-column="97" selection-end-line="76" selection-end-column="97" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/domain-lock-nodes/factory/DomainLockCustomNodesFactory.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="36" column="0" selection-start-line="36" selection-start-column="0" selection-end-line="36" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/factory/SelfDefendingCustomNodesFactory.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="50" column="51" selection-start-line="50" selection-start-column="51" selection-end-line="50" selection-end-column="51" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/string-array-nodes/factory/StringArrayCustomNodesFactory.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="646">
          <caret line="64" column="49" selection-start-line="64" selection-start-column="49" selection-end-line="64" selection-end-column="49" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/debug-protection-nodes/factory/DebugProtectionCustomNodesFactory.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="29" column="41" selection-start-line="29" selection-start-column="41" selection-end-line="29" selection-end-column="41" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/node-calls-controller-nodes/NodeCallsControllerFunctionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="65" column="12" selection-start-line="65" selection-start-column="12" selection-end-line="65" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/node-control-flow-transformers/control-flow-replacers/BinaryExpressionControlFlowReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="54" column="48" selection-start-line="54" selection-start-column="48" selection-end-line="54" selection-end-column="48" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/node-control-flow-transformers/FunctionControlFlowTransformer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="362">
          <caret line="99" column="48" selection-start-line="99" selection-start-column="48" selection-end-line="99" selection-end-column="48" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/event-emitters/IObfuscationEventEmitter.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="17" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/event-emitters/ObfuscationEventEmitter.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/JavaScriptObfuscatorInternal.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="123" column="66" selection-start-line="123" selection-start-column="66" selection-end-line="123" selection-end-column="66" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/container/IContainerServiceIdentifiers.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="22" selection-start-line="13" selection-start-column="22" selection-end-line="13" selection-end-column="22" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/container/modules/node-transformers/NodeTransformersModule.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="66" column="67" selection-start-line="66" selection-start-column="40" selection-end-line="66" selection-end-column="67" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/unit-tests/ObfuscationResult.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="50" selection-start-line="9" selection-start-column="50" selection-end-line="9" selection-end-column="50" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/SourceMapCorrector.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="16" selection-start-line="0" selection-start-column="0" selection-end-line="1" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/control-flow-storage-nodes/ControlFlowStorageNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="61" column="97" selection-start-line="61" selection-start-column="97" selection-end-line="61" selection-end-column="97" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/functional-tests/custom-nodes/string-array-nodes/StringArrayCallsWrapper.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="0" selection-start-line="8" selection-start-column="0" selection-end-line="8" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/string-array/StringArrayStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/control-flow/ControlFlowStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="43" selection-start-line="4" selection-start-column="43" selection-end-line="4" selection-end-column="43" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/custom-nodes/CustomNodesStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="4" column="0" selection-start-line="4" selection-start-column="0" selection-end-line="4" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/MapStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="9" column="50" selection-start-line="9" selection-start-column="50" selection-end-line="9" selection-end-column="50" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/storages/ArrayStorage.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/AbstractCustomNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="55" selection-start-line="15" selection-start-column="55" selection-end-line="15" selection-end-column="55" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/custom-nodes/ICustomNode.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="17" selection-start-line="8" selection-start-column="17" selection-end-line="8" selection-end-column="17" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/IInitializable.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="6" column="0" selection-start-line="6" selection-start-column="0" selection-end-line="6" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/IObfuscationResult.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="50" selection-start-line="2" selection-start-column="50" selection-end-line="2" selection-end-column="50" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/ObfuscationResult.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="14" column="7" selection-start-line="14" selection-start-column="7" selection-end-line="14" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/console-output-nodes/ConsoleOutputDisableExpressionNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="55" column="17" selection-start-line="55" selection-start-column="58" selection-end-line="56" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/console-output-nodes/factory/ConsoleOutputCustomNodesFactory.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="56" column="12" selection-start-line="44" selection-start-column="8" selection-end-line="56" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/interfaces/storages/IStorage.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="4" selection-start-line="7" selection-start-column="4" selection-end-line="7" selection-end-column="4" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Obfuscator.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1989">
          <caret line="117" column="0" selection-start-line="117" selection-start-column="0" selection-end-line="117" selection-end-column="0" />
          <folding>
            <marker date="1480864377000" expanded="true" signature="6058:6074" ph="{...}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/index.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-123151">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/container/ServiceIdentifiers.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="82" selection-start-line="0" selection-start-column="82" selection-end-line="0" selection-end-column="82" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/container/InversifyContainerFacade.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-352">
          <caret line="63" column="32" selection-start-line="63" selection-start-column="32" selection-end-line="63" selection-end-column="32" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/enums/container/CalleeDataExtractors.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/container/modules/stack-trace-analyzer/StackTraceAnalyzerModule.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="13" column="38" selection-start-line="13" selection-start-column="0" selection-end-line="14" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/Utils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="309" column="26" selection-start-line="309" selection-start-column="26" selection-end-line="309" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/node-transformers/node-obfuscators/replacers/StringLiteralReplacer.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="78" column="34" selection-start-line="78" selection-start-column="34" selection-end-line="78" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/options/Options.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="178">
          <caret line="161" column="20" selection-start-line="161" selection-start-column="20" selection-end-line="161" selection-end-column="20" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/templates/custom-nodes/self-defending-nodes/self-defending-unicode-node/SelfDefendingTemplate.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="365">
          <caret line="26" column="14" selection-start-line="26" selection-start-column="14" selection-end-line="26" selection-end-column="14" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/custom-nodes/self-defending-nodes/SelfDefendingUnicodeNode.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="918">
          <caret line="65" column="12" selection-start-line="65" selection-start-column="12" selection-end-line="65" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/dev/dev.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="19" column="35" selection-start-line="19" selection-start-column="35" selection-end-line="19" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/preset-options/DefaultPreset.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="25" selection-start-line="11" selection-start-column="25" selection-end-line="11" selection-end-column="25" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/preset-options/NoCustomNodesPreset.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" column="3" selection-start-line="22" selection-start-column="3" selection-end-line="22" selection-end-column="3" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/cli/CLIUtils.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/cli/JavaScriptObfuscatorCLI.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2448">
          <caret line="0" column="0" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="254">
            <caret line="233" column="22" selection-start-line="233" selection-start-column="22" selection-end-line="233" selection-end-column="22" />
            <folding>
              <marker date="1480864957000" expanded="true" signature="2518:2558" ph="{...}" />
              <marker date="1480864957000" expanded="true" signature="2615:2770" ph="/*...*/" />
              <marker date="1480864957000" expanded="true" signature="4241:4674" ph="{...}" />
              <marker date="1480864957000" expanded="true" signature="7098:7171" ph="{...}" />
              <marker date="1480864957000" expanded="true" signature="7117:7168" ph="[...]" />
            </folding>
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-323">
          <caret line="2" column="19" selection-start-line="2" selection-start-column="19" selection-end-line="2" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CHANGELOG.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="68">
            <caret line="4" column="49" selection-start-line="4" selection-start-column="49" selection-end-line="4" selection-end-column="49" />
            <folding />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test/unit-tests/OptionsNormalizer.spec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="504">
          <caret line="45" column="35" selection-start-line="45" selection-start-column="35" selection-end-line="45" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>